<configuration>

    <springProperty scope="configuration" name="logType" source="logging.type"/>
    <springProperty scope="context" name="application.name" source="spring.application.name"/>
    <springProperty scope="context" name="version" source="project.version"/>
    <include resource="org/springframework/boot/logging/logback/defaults.xml"/>
    <include resource="org/springframework/boot/logging/logback/console-appender.xml"/>

    <appender name="JSON" class="ch.qos.logback.core.ConsoleAppender">
        <encoder class="net.logstash.logback.encoder.LogstashEncoder"/>
    </appender>

    <root level="INFO">
        <appender-ref ref="${logType}"/>
    </root>

</configuration>